package com.zksy.park.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.common.core.domain.Result;
import com.zksy.park.domain.ParkInfo;
import com.zksy.park.domain.dto.PackInfoDto;

/**
 * @author nahida
 * @version 1.0
 * @project dh-server-micro
 * @description 园区信息
 * @date 2024/12/23 08:54:28
 */
public interface ParkInfoService extends IService<ParkInfo> {
    Result<Object> saveParkInfo(PackInfoDto dto);

    Result<String> updateByParkInfoId(PackInfoDto dto);

    Result<String> deleteById(String id);

    Result<ParkInfo> getByIdWithFile(String id);
}
